## Apache Zeta Components Manual :: Docs For Class ezcDocumentRstImageDirective

### Document::ezcDocumentRstImageDirective

### Class ezcDocumentRstImageDirective

Visitor for RST image directives

Source for this file: /Document/src/document/rst/directive/image.php

### Implements interfaces:

- ezcDocumentRstXhtmlDirective

    ezcDocumentRstDirective
       |
       --ezcDocumentRstImageDirective

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentRstFigureDirective | Visitor for RST image directives

### Inherited Member Variables

From ezcDocumentRstDirective
protected | `ezcDocumentRstDirective::$ast`
protected | `ezcDocumentRstDirective::$node`
protected | `ezcDocumentRstDirective::$path`
protected | `ezcDocumentRstDirective::$visitor`

### Method Summary

public void | `toDocbook( $document , $root )` Transform directive to docbook
public void | `toXhtml( $document , $root )` Transform directive to HTML
protected void | `toXhtmlImage( $document , $root )` Create common img element for media object
protected void | `toXhtmlObject( $document , $root )` Create iframe for media object

### Inherited Methods

From ezcDocumentRstDirective
public void | `ezcDocumentRstDirective::__construct()` Construct directive from AST and node
protected DOMDocument | `ezcDocumentRstDirective::parseTokens()` Parse directive token list with RST parser
public void | `ezcDocumentRstDirective::setSourceVisitor()` Set the calling vaisitor
public abstract void | `ezcDocumentRstDirective::toDocbook()` Transform directive to docbook

### Methods

#### toDocbook

void toDocbook( $document , $root )

Transform directive to docbook

Create a docbook XML structure at the directives position in the document.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$document` | DOMDocument |
`$root` | DOMElement |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentRstDirective::toDocbook()` | Transform directive to docbook

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentRstFigureDirective::toDocbook()` | Transform directive to docbook

#### toXhtml

void toXhtml( $document , $root )

Transform directive to HTML

Create a XHTML structure at the directives position in the document.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$document` | DOMDocument |
`$root` | DOMElement |

##### Implementation of:

Method | Description
--- | ---
`ezcDocumentRstXhtmlDirective::toXhtml()` | Transform directive to HTML

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentRstFigureDirective::toXhtml()` | Transform directive to HTML

#### toXhtmlImage

void toXhtmlImage( $document , $root )

Create common img element for media object

For all images we use the common <img> XHtml element.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$document` | DOMDocument |
`$root` | DOMElement |

#### toXhtmlObject

void toXhtmlObject( $document , $root )

Create iframe for media object

##### Parameters:

Name | Type | Description
--- | --- | ---
`$document` | DOMDocument |
`$root` | DOMElement |

Documentation generated by phpDocumentor 1.4.3